'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

function addSlots(vm, slots) {
  Object.keys(slots).forEach(function (key) {
    var slotsObj = slots[key];
    if (!Array.isArray(slots[key]) && !(slotsObj !== null && (typeof slotsObj === 'undefined' ? 'undefined' : _typeof(slotsObj)) === 'object')) {
      throw new Error('slots[key] must be a Component or an array of Components');
    }
    var isArray = Array.isArray(slotsObj);
    if (isArray) {
      Object.keys(slotsObj).forEach(function (objKey) {
        if (Array.isArray(vm.$slots[key])) {
          vm.$slots[key].push(vm.$createElement(slotsObj[objKey]));
        } else {
          vm.$slots[key] = [vm.$createElement(slotsObj[objKey])];
        }
      });
    } else if (Array.isArray(vm.$slots[key])) {
      vm.$slots[key].push(vm.$createElement(slotsObj));
    } else {
      vm.$slots[key] = [vm.$createElement(slotsObj)];
    }
  });
}

exports.default = addSlots;