'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = mount;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

var _vueAddGlobals = require('vue-add-globals');

var _vueAddGlobals2 = _interopRequireDefault(_vueAddGlobals);

var _VueWrapper = require('./VueWrapper');

var _VueWrapper2 = _interopRequireDefault(_VueWrapper);

require('./lib/matchesPolyfill');

var _addSlots = require('./lib/addSlots');

var _addSlots2 = _interopRequireDefault(_addSlots);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_vue2.default.config.productionTip = false;

function createElem() {
  var elem = document.createElement('div');

  document.body.appendChild(elem);

  return elem;
}

function mount(component) {
  var options = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};

  var elem = null;
  var attachToDocument = options.attachToDocument;

  if (attachToDocument) {
    elem = createElem();
    delete options.attachToDocument;
  }

  if (options.globals) {
    var globals = (0, _vueAddGlobals2.default)(options.globals);
    _vue2.default.use(globals);
  }
  delete component._Ctor;
  var Constructor = _vue2.default.extend(component);
  var vm = new Constructor(options);

  if (options.slots) {
    (0, _addSlots2.default)(vm, options.slots);
  }

  vm.$mount(elem);

  return new _VueWrapper2.default(vm, attachToDocument);
}