'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = shallow;

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

var _mount = require('./mount');

var _mount2 = _interopRequireDefault(_mount);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var LIFECYCLE_HOOKS = ['beforeCreate', 'created', 'beforeMount', 'mounted', 'beforeUpdate', 'updated', 'beforeDestroy', 'destroyed', 'activated', 'deactivated'];

function stubLifeCycleEvents(component) {
  LIFECYCLE_HOOKS.forEach(function (hook) {
    component[hook] = function () {};
  });
}

function replaceComponents(component) {
  Object.keys(component.components).forEach(function (c) {
    delete component.components[c]._Ctor;
    component.components[c] = _extends({}, component.components[c], {
      render: function render() {}
    });
    _vue2.default.config.ignoredElements.push(c);
    stubLifeCycleEvents(component.components[c]);
  });
}

function shallow(component, options) {
  if (component.components) {
    replaceComponents(component);
  }

  return (0, _mount2.default)(component, options);
}